/* Copyright (C) 2007  Mikko Sysikaski <mikko.sysikaski@gmail.com>
 * This program is free software distributed under GNU General Public License
 * version 3 or (at your option) any later version.
 * No warranty of any kind is provided. See the accompanying file COPYING for details.
 */

#ifndef DRAWER_H
#define DRAWER_H

#include "../board.h"
#include "SDL.h"

void initScreen(int w, int h);
void draw(const Board& b, int xplace, int yplace, int pps);
void endDraw();

void horizDrag(int start, int place);
void vertDrag(int start, int place);
void endWallDrag();

SDL_Surface* getScreen();

#endif
